#ifndef E2EPWSWC1
#include "E2E_SWC_Tx.h"
#endif

FUNC(uint32, E2E_InterSWC_1) E2EPW_Write_E2E_InterSWC_1_PPortPrototype_0(E2EImplementationDataType_0 *E2E_InterSWC_Var1)
{	uint32 E2EPW_error = E2E_E_OK;
	static boolean FirstRun = TRUE;
	Std_ReturnType E2E_error;

	/*Data serialization can be done here if necessary */
	/**/

	/* Call E2E library function to protect the data that will be transmitted over the port*/
		E2E_error = E2E_P02Protect(&E2E_P02_StaticCfg_SWC1,&E2E_P02SenderState_SWC1,(uint8 *)E2E_InterSWC_Var1);

	/**/

	/* Transmit the data with alive counter and calculated CKS over the port */
		Rte_Write_PPort_E2E_Data_Alive_Cnt(E2E_InterSWC_Var1->Impl_Alive_Cnt);
		Rte_Write_PPort_E2E_Data_CKS(E2E_InterSWC_Var1->Impl_CKS);
		Rte_Write_PPort_E2E_Data_Data(E2E_InterSWC_Var1->Impl_Data);
	/*RTE_E_OK*/

	return ((RTE_E_OK) | (E2EPW_error << 8) | (E2E_error <<16 ));
}

